This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 862925 - kernel: radeon 0000:01:05.0: GPU lockup CP stall for more than 10000msec
kernel: radeon 0000:01:05.0: GPU lockup CP stall for more than 10000msec
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
RejectedBlocker
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-03 18:31 EDT by Jóhann B. Guðmundsson
Modified: 2014-02-05 07:26 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:26:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (64.39 KB, text/plain)
2012-10-03 18:31 EDT, Jóhann B. Guðmundsson
no flags Details
dmesg with drm.debug (88.32 KB, text/plain)
2012-10-03 19:50 EDT, Jóhann B. Guðmundsson
no flags Details
Xorg.0.log (43.76 KB, text/plain)
2012-10-03 19:52 EDT, Jóhann B. Guðmundsson
no flags Details
journal output (179.66 KB, text/plain)
2012-10-03 20:09 EDT, Jóhann B. Guðmundsson
no flags Details

  None (edit)
Description Jóhann B. Guðmundsson 2012-10-03 18:31:07 EDT
Created attachment 621188 [details]
dmesg

Description of problem:

Oct 03 22:07:18 localhost kernel: radeon 0000:01:05.0: GPU lockup CP stall for more than 10000msec
Oct 03 22:07:18 localhost kernel: radeon 0000:01:05.0: GPU lockup (waiting for 0x0000000000000003 last fence id 0x0000000000000001)
Oct 03 22:07:18 localhost kernel: radeon 0000:01:05.0: Saved 89 dwords of commands on ring 0.
Oct 03 22:07:18 localhost kernel: radeon 0000:01:05.0: GPU softreset 
Oct 03 22:07:18 localhost kernel: radeon 0000:01:05.0:   R_008010_GRBM_STATUS=0xA0003030
Oct 03 22:07:18 localhost kernel: radeon 0000:01:05.0:   R_008014_GRBM_STATUS2=0x00000003
Oct 03 22:07:18 localhost kernel: radeon 0000:01:05.0:   R_000E50_SRBM_STATUS=0x20023040
Oct 03 22:07:18 localhost kernel: radeon 0000:01:05.0:   R_008674_CP_STALLED_STAT1 = 0x00000000
Oct 03 22:07:18 localhost kernel: radeon 0000:01:05.0:   R_008678_CP_STALLED_STAT2 = 0x00000000
Oct 03 22:07:18 localhost kernel: radeon 0000:01:05.0:   R_00867C_CP_BUSY_STAT     = 0x00000800
Oct 03 22:07:18 localhost kernel: radeon 0000:01:05.0:   R_008680_CP_STAT          = 0x800000C1
Oct 03 22:07:18 localhost kernel: radeon 0000:01:05.0: Wait for MC idle timedout !
Oct 03 22:07:18 localhost kernel: radeon 0000:01:05.0:   R_008020_GRBM_SOFT_RESET=0x00007FEE
Oct 03 22:07:18 localhost kernel: radeon 0000:01:05.0: R_008020_GRBM_SOFT_RESET=0x00000001
Oct 03 22:07:18 localhost kernel: radeon 0000:01:05.0:   R_008010_GRBM_STATUS=0xA0003030
Oct 03 22:07:18 localhost kernel: radeon 0000:01:05.0:   R_008014_GRBM_STATUS2=0x00000003
Oct 03 22:07:18 localhost kernel: radeon 0000:01:05.0:   R_000E50_SRBM_STATUS=0x2002B040
Oct 03 22:07:18 localhost kernel: radeon 0000:01:05.0:   R_008674_CP_STALLED_STAT1 = 0x00000000
Oct 03 22:07:18 localhost kernel: radeon 0000:01:05.0:   R_008678_CP_STALLED_STAT2 = 0x00000000
Oct 03 22:07:18 localhost kernel: radeon 0000:01:05.0:   R_00867C_CP_BUSY_STAT     = 0x00000000
Oct 03 22:07:18 localhost kernel: radeon 0000:01:05.0:   R_008680_CP_STAT          = 0x80100000
Oct 03 22:07:18 localhost kernel: radeon 0000:01:05.0: GPU reset succeeded, trying to resume
Oct 03 22:07:18 localhost kernel: radeon 0000:01:05.0: Wait for MC idle timedout !
Oct 03 22:07:18 localhost kernel: radeon 0000:01:05.0: Wait for MC idle timedout !
Oct 03 22:07:18 localhost kernel: [drm] PCIE GART of 512M enabled (table at 0x00000000C0040000).
Oct 03 22:07:20 localhost kernel: radeon 0000:01:05.0: WB enabled
Oct 03 22:07:20 localhost kernel: radeon 0000:01:05.0: fence driver on ring 0 use gpu addr 0x00000000a0000c00 and cpu addr 0xffff880060a01c00
Oct 03 22:07:20 localhost kernel: radeon 0000:01:05.0: setting latency timer to 64
Oct 03 22:07:20 localhost kernel: [drm:r600_ring_test] *ERROR* radeon: ring 0 test failed (scratch(0x8504)=0xCAFEDEAD)
Oct 03 22:07:20 localhost kernel: [drm:r600_resume] *ERROR* r600 startup failed on resume


Version-Release number of selected component (if applicable):

The official 3.6 release and newer ( does not happen with <rc7 )

How reproducible:

Always

Steps to Reproduce:
1. Boot
2. 
3.
  
Actual results:

Black screen screen lid

Expected results:

To actually work

Additional info:

Workaround remove quiet from the kernel command line
Comment 1 Jóhann B. Guðmundsson 2012-10-03 18:47:43 EDT
Fails for example the following criteria ( and every desktop related one for alpha/beta )

"It must be possible to run the default web browser and a terminal application from all release-blocking desktop environments. The web browser must be able to download files, load extensions, and log into FAS"
Comment 2 Jóhann B. Guðmundsson 2012-10-03 19:29:14 EDT
Removing set gfxpayload=keep from grub while keeping quiet works around this issue as well
Comment 3 Reartes Guillermo 2012-10-03 19:33:24 EDT
Provide at least:

# lspci -nn | grep VGA

Also add drm.debug=0x04 to the kernel command line, restart computer, and
attach (if possible):

* your X server config file (/etc/X11/xorg.conf, if available),
* X server log file (/var/log/Xorg.*.log)
* output of the dmesg command, and
* system log (/var/log/messages)

After that, try to reproduce the issue again and also attach again the logs.
Comment 4 Jóhann B. Guðmundsson 2012-10-03 19:48:03 EDT
# lspci -nn | grep VGA
01:05.0 VGA compatible controller [0300]: Advanced Micro Devices [AMD] nee ATI RS880M [Mobility Radeon HD 4200 Series] [1002:9712]
Comment 5 Jóhann B. Guðmundsson 2012-10-03 19:50:01 EDT
Created attachment 621200 [details]
dmesg with drm.debug
Comment 6 Jóhann B. Guðmundsson 2012-10-03 19:52:21 EDT
Created attachment 621201 [details]
Xorg.0.log
Comment 7 Jóhann B. Guðmundsson 2012-10-03 19:56:33 EDT
* your X server config file (/etc/X11/xorg.conf, if available)
By default there is none and has not been since somewhere around F10

* system log (/var/log/messages)

Nothing gets written in messages in F18 want me to provide you with the full output from the journal instead? 
( I would expect there would not be anything relevant there that is not already in dmesg and the Xorg log )
Comment 8 Jóhann B. Guðmundsson 2012-10-03 20:09:06 EDT
Created attachment 621202 [details]
journal output

output from journalctl -a -b -o short-monotonic --no-pager > journal.txt 

I can make this more verbose if required...
Comment 9 Reartes Guillermo 2012-10-03 20:19:03 EDT
Is this correct ?

DMI: Hewlett-Packard HP Pavilion dm1 Notebook PC/148B, BIOS F.15 09/15/2010

There is a F.16 bios version. 

Otherwise this will print your motherboard and bios version:

# cat /sys/devices/virtual/dmi/id/board_name 

# cat /sys/devices/virtual/dmi/id/bios_version
Comment 10 Jóhann B. Guðmundsson 2012-10-03 20:30:02 EDT
I'm perfectly well aware that there is a newer bios version and I will be happy to upgrade my firmware for you as long as you can provide me with an alternative method to do so that does not require me to install Microsoft Windows first to do so or somehow burn it on a disk.

And just to reiterate this does not happen with kernels <rc7 including the releases that have the debug turned off.
Comment 11 Adam Williamson 2012-10-04 14:20:30 EDT
Discussed at 2012-10-04 blocker review meeting: http://meetbot.fedoraproject.org/fedora-qa/2012-10-04/f18-beta-blocker-review-2.1.2012-10-04-16.00.log.txt . 

As this looks like a single-system X showstopper, we reject it as a blocker by established precedent (X bugs that affect only a single system or small range of systems are not considered to be wide enough to be blockers; we don't have the development capacity to commit to fixing all such bugs). If it turns out to affect a wider range of systems, it can be re-proposed as a blocker.
Comment 12 Josh Boyer 2012-11-12 16:02:38 EST
Dave, maybe this bug has enough info to give some insight into the lockup?
Comment 13 Jóhann B. Guðmundsson 2012-11-12 18:02:09 EST
Note that this does not happen with 3.7.0-0.rc4 kernel
Comment 14 Fedora End Of Life 2013-12-21 04:01:58 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2014-02-05 07:26:23 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.